<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:13 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.util.map.MultiValueMap
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.util.map.MultiValueMap";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/util/map/class-use/MultiValueMap.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MultiValueMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.util.map.MultiValueMap</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.util.map"><B>ch.javasoft.util.map</B></A></TD>
<TD>The <tt>util.map</tt> package contains extensions to the standard java 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util"><CODE>Map</CODE></A>, for instance, maps which support multiple values per key 
(see <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map"><CODE>MultiValueMap</CODE></A>); these classes use and extend 
java's <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util"><CODE>collection</CODE></A> framework.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.util.map"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A> in <A HREF="../../../../../ch/javasoft/util/map/package-summary.html">ch.javasoft.util.map</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subinterfaces of <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A> in <A HREF="../../../../../ch/javasoft/util/map/package-summary.html">ch.javasoft.util.map</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IntIntMultiValueMap</code> is a multi value mapping of</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/util/map/package-summary.html">ch.javasoft.util.map</A> that implement <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap&lt;K,V&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Abstract implementation for <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map"><CODE>MultiValueMap</CODE></A> for most common methods.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMutableMultiValueMap&lt;K,V&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Abstract implementation for <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map"><CODE>MultiValueMap</CODE></A> for most common 
 methods for subclasses</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultIntIntMultiValueMap</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IntIntMultiValueMap</code> is a mutable multi value map for int
 keys and values.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/DefaultMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultMultiValueMap&lt;K,V&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default implementation for a mutable <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map"><CODE>MultiValueMap</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map">JoinedMultiValueMap&lt;K,V&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>JoinedMultiValueMap</code> class joins two instances of 
 <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map"><CODE>MultiValueMap</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/SingleValueMap.html" title="class in ch.javasoft.util.map">SingleValueMap&lt;K,V&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>SingleValueMap</code> is pretty much the same as a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util"><CODE>Map</CODE></A>, but
 it implements the <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map"><CODE>MultiValueMap</CODE></A> interface, e.g.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/util/map/package-summary.html">ch.javasoft.util.map</A> that return <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="type parameter in JoinedMultiValueMap">K</A>,<A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="type parameter in JoinedMultiValueMap">V</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>JoinedMultiValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html#flatten()">flatten</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Materializes this virtual multi value map into a new instance of
 <A HREF="../../../../../ch/javasoft/util/map/DefaultMultiValueMap.html" title="class in ch.javasoft.util.map"><CODE>DefaultMultiValueMap</CODE></A>, a mutable map, by copying the content of
 this map into the new instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="../../../../../ch/javasoft/util/map/SingleValueMap.html" title="type parameter in SingleValueMap">V</A>,<A HREF="../../../../../ch/javasoft/util/map/SingleValueMap.html" title="type parameter in SingleValueMap">K</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>SingleValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/SingleValueMap.html#invert()">invert</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Implementation returns a <A HREF="../../../../../ch/javasoft/util/map/SingleValueMap.html" title="class in ch.javasoft.util.map"><CODE>SingleValueMap</CODE></A> instance if the mapping 
 from values to keys is unambiguous, and a <A HREF="../../../../../ch/javasoft/util/map/DefaultMultiValueMap.html" title="class in ch.javasoft.util.map"><CODE>DefaultMultiValueMap</CODE></A> if
 this is not the case.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>,<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>MultiValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html#invert()">invert</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an inverted mapping, where the key can be asked knowing the
 value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="../../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="type parameter in AbstractMultiValueMap">V</A>,<A HREF="../../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="type parameter in AbstractMultiValueMap">K</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>AbstractMultiValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#invert()">invert</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Implementation returns a new <A HREF="../../../../../ch/javasoft/util/map/DefaultMultiValueMap.html" title="class in ch.javasoft.util.map"><CODE>DefaultMultiValueMap</CODE></A> instance.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/util/map/package-summary.html">ch.javasoft.util.map</A> with parameters of type <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>MultiValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html#addAll(ch.javasoft.util.map.MultiValueMap)">addAll</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;? extends <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,? extends <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;&nbsp;mapping)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the key/value-collection entries of the given mapping to this key 
 collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>AbstractMutableMultiValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html#addAll(ch.javasoft.util.map.MultiValueMap)">addAll</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;? extends <A HREF="../../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="type parameter in AbstractMutableMultiValueMap">K</A>,? extends <A HREF="../../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="type parameter in AbstractMutableMultiValueMap">V</A>&gt;&nbsp;mapping)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the key/value-collection entries of the given mapping to this key 
 collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>AbstractMultiValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#addAll(ch.javasoft.util.map.MultiValueMap)">addAll</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;? extends <A HREF="../../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="type parameter in AbstractMultiValueMap">K</A>,? extends <A HREF="../../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="type parameter in AbstractMultiValueMap">V</A>&gt;&nbsp;mapping)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Always throws an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang"><CODE>UnsupportedOperationException</CODE></A></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;K,V&gt; <A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map">JoinedMultiValueMap</A>&lt;K,V&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>JoinedMultiValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html#join(ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap)">join</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;K,?&gt;&nbsp;one,
         <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;?,V&gt;&nbsp;many)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Alternative to the constructor, for convenience only.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;K,V&gt; <A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map">JoinedMultiValueMap</A>&lt;K,V&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>JoinedMultiValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html#join(ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap)">join</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;K,?&gt;&nbsp;one,
         <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;?,V&gt;&nbsp;many)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Alternative to the constructor, for convenience only.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;K,V&gt; <A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map">JoinedMultiValueMap</A>&lt;K,V&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>JoinedMultiValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html#join(ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap...)">join</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;K,?&gt;&nbsp;first,
         <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;?,V&gt;&nbsp;last,
         <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;?,?&gt;...&nbsp;intermediate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Joins several multi value maps resulting in a new virtual multi value map.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;K,V&gt; <A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map">JoinedMultiValueMap</A>&lt;K,V&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>JoinedMultiValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html#join(ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap...)">join</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;K,?&gt;&nbsp;first,
         <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;?,V&gt;&nbsp;last,
         <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;?,?&gt;...&nbsp;intermediate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Joins several multi value maps resulting in a new virtual multi value map.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;K,V&gt; <A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map">JoinedMultiValueMap</A>&lt;K,V&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>JoinedMultiValueMap.</B><B><A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html#join(ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap...)">join</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;K,?&gt;&nbsp;first,
         <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;?,V&gt;&nbsp;last,
         <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;?,?&gt;...&nbsp;intermediate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Joins several multi value maps resulting in a new virtual multi value map.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/util/map/package-summary.html">ch.javasoft.util.map</A> with parameters of type <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html#AbstractMutableMultiValueMap(ch.javasoft.util.map.MultiValueMap)">AbstractMutableMultiValueMap</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;? extends <A HREF="../../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="type parameter in AbstractMutableMultiValueMap">K</A>,? extends <A HREF="../../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="type parameter in AbstractMutableMultiValueMap">V</A>&gt;&nbsp;copy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for a mapping based on an existing mapping to copy</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#DefaultIntIntMultiValueMap(ch.javasoft.util.map.MultiValueMap)">DefaultIntIntMultiValueMap</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;copy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for a multi value map based on an existing one</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/DefaultMultiValueMap.html#DefaultMultiValueMap(ch.javasoft.util.map.MultiValueMap)">DefaultMultiValueMap</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;? extends <A HREF="../../../../../ch/javasoft/util/map/DefaultMultiValueMap.html" title="type parameter in DefaultMultiValueMap">K</A>,? extends <A HREF="../../../../../ch/javasoft/util/map/DefaultMultiValueMap.html" title="type parameter in DefaultMultiValueMap">V</A>&gt;&nbsp;copy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for a multi value map based on an existing one</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html#JoinedMultiValueMap(ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap)">JoinedMultiValueMap</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="type parameter in JoinedMultiValueMap">K</A>,?&gt;&nbsp;one,
                                       <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;?,<A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="type parameter in JoinedMultiValueMap">V</A>&gt;&nbsp;many)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cconstructor to join two multi value maps</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html#JoinedMultiValueMap(ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap)">JoinedMultiValueMap</A></B>(<A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="type parameter in JoinedMultiValueMap">K</A>,?&gt;&nbsp;one,
                                       <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;?,<A HREF="../../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="type parameter in JoinedMultiValueMap">V</A>&gt;&nbsp;many)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cconstructor to join two multi value maps</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/util/map/class-use/MultiValueMap.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MultiValueMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
